JNA API 3.3.0

## com.sun.jna.platform.win32
Interface Winioctl

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface Winioctl

extends StdCallLibrary

Interface for the Winioctl.h header file.

Nested Class Summary
`static class` | `Winioctl.STORAGE_DEVICE_NUMBER` Contains information about a device.

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static int` | `IOCTL_STORAGE_GET_DEVICE_NUMBER` Retrieves the device type, device number, and, for a partitionable device, the partition number of a device.

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### IOCTL_STORAGE_GET_DEVICE_NUMBER

    static final int IOCTL_STORAGE_GET_DEVICE_NUMBER

  Retrieves the device type, device number, and, for a partitionable device, the partition number of a device.

  See Also:
    Constant Field Values

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.